/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.Ciudad;
import com.rjconsultores.ventaboletos.entidad.Estado;
import com.rjconsultores.ventaboletos.entidad.Plaza;
import java.util.List;

/**
 *
 * @author MCosso
 */
public interface CiudadDAO extends GenericDAO<Ciudad, Integer> {

    public List<Ciudad> buscar(String nombciudad, Estado  estado, Plaza plaza);

    public List<Ciudad> buscaLike(String strCiudad);
    
    public List<Ciudad> buscaCodMun(Integer codMun, Estado estado);

	public List<Ciudad> buscarPorEstado(Estado estado);
}
